Skip to main content
POST
/
api
/
v2
/
network
/
promo-codes
Create promo code
curl --request POST \
  --url 'https://{domain}/api/v2/network/promo-codes?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "string",
  "affiliate_id": 1,
  "offer_id": 1,
  "status": 1,
  "start_date": "2025-01-20",
  "end_date": "2025-01-20",
  "commission_plan_id": 1
}
'
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Body

application/json
code
string
required

Alphanumeric promo code (unique).

affiliate_id
integer
required

Affiliate to attribute traffic to.

offer_id
integer
required

Offer to link the promo code to.

status
integer

Status: 1=active, 2=inactive.

start_date
string<date>

Validity start date.

end_date
string<date>

Validity end date.

commission_plan_id
integer

Optional commission plan override.

Response

Created promo code.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object